Remove/Delete an already defined constant

- « runkit7_constant_redefine

- runkit7_function_add »

- PHP Manual
- runkit7 Functions
- Remove/Delete an already defined constant

# runkit7_constant_remove

(PECL runkit7 >= Unknown)

runkit7_constant_remove — Remove/Delete an already defined constant

### Description

runkit7_constant_remove(string `$constant_name`): bool

### Parameters

`constant_name`

  Name of the constant to remove. Either the name of a global constant, or `classname::constname` indicating a class constant.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- define() - Defines a named constant
- runkit7_constant_add() - Similar to define(), but allows defining in class definitions as well
- runkit7_constant_redefine() - Redefine an already defined constant